<div style="width: 100%; clear: both; margin-top: 5px; display: none;" id="aba_alterar_tipo">
		
		<div style="float: left; padding: 5px; background: #f2f2f2; margin-left: 10px;  width: 100%;">
			<label>Coluna</label>
			<br>
			<select class="form" id="colunas_para_alterar" onchange="escolher_coluna_alter_tipo()" placeholder="Tipo"    style="width: 150px; ">
				<option value=""></option>
			</select>
		</div>	
		
		<div style="float: left; padding: 5px; background: #f2f2f2; margin-left: 10px;  width: 100%; ">
			<label>Novo tipo</label>
			<br>
			<select class="form" id="novo_tipo"  placeholder="Tipo"    style="width: 150px; ">
				<option value=""></option>
				<option value="1">varchar</option>
				<option value="2">int</option>
				<option value="3">float</option>
				<option value="4">date</option>
				<option value="5">datetime</option>
			 </select>
			<button class="btnSuccess btnSn"  onclick="alterar_tipo_dado()">Alterar</button>
		</div>
		<Br><br>
</div>
	
	<script>
		$("#colunas_para_alterar").select2({ width: '100%' });
		//abaixo codigo para colocar na sequencia de clique
		$("#colunas_para_alterar").on("select2:select", function (evt) {var element = evt.params.data.element; var $element = $(element); $element.detach(); $(this).append($element); $(this).trigger("change");});
		function abrirAbaTipoData()
		{
			if($("#aba_alterar_tipo").css("display") == "none")
			{
				$("#aba_alterar_tipo").css("display", "block");
				for(i =0; i < colunas.length; i++)
				{
					selected = false;
					if(! $("#colunas_para_alterar").html().includes(colunas[i].nome))
					{
						$("#colunas_para_alterar").append($('<option>', {
							value: i,
							text: colunas[i].nome,
							"selected": selected
						}));
					}
				}
			}
			else
			{
				$("#aba_alterar_tipo").css("display", "none");
			}
		}
		function escolher_coluna_alter_tipo()
		{
			$("#novo_tipo").val(colunas[$("#colunas_para_alterar").val()].tipo_dado)
		}
		function alterar_tipo_dado()
		{
			colunas[$("#colunas_para_alterar").val()].tipo_dado = $("#novo_tipo").find(":selected").text();
			colunas[$("#colunas_para_alterar").val()].id_tipo_dado = $("#novo_tipo").val();
			escolher_tipo_analise()
			alert("Alterado!");
			//alert($("#novo_tipo").val()+" - "+$("#colunas_para_alterar").val())
		}
				
	</script>